:root {
	--code-color: #eee8d5; /* gray (base2) */
}

body {
	max-width: 800px;
	font-family: sans-serif;
	line-height: 1.4;
	padding-left: 2ch;
	padding-right: 3ch; /* for scrollbar */
	margin: 0 auto;
	background-color: #fdf6e3;
	color: #586e75; /*base01*/
}

h1 {
	color: #d33682; /* magenta */	
}

h2 {
	color: #d33682; /* magenta */
}

h3 {
	color: #cb4b16; /* orange */	
}

div#banner {
	height: 50px;
	/*background-color: #2aa198;*/ /* cyan */
	background-color: #268bd2; /* blue */
}

a {
	color: #268bd2; /* blue */
	text-decoration: none;
}

div#navigation {
	background-color: #268bd2; /* blue */
	text-align: center;
	border-bottom: 4px solid black;
	text-transform: uppercase;
	margin-bottom: 30px;
}

div#navigation a {
	color: white;
	text-decoration: none;
	background-color: black;
	padding: 3px 10px 3px 10px;
	margin: 0px 10px 0px 10px;
}

p.date {
	font-style: italic;
}

p.repository {
	background-color: var(--code-color);
	padding: 10px 10px 10px 10px;
}

pre {
	background-color: var(--code-color);
	padding: 10px 10px 10px 10px;
	font-size: 11pt;
}

blockquote {
	background-color: var(--code-color);
	padding: 10px 10px 10px 10px;
}

code {
	background-color: var(--code-color);
}

ul.projects {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
	grid-auto-rows: minmax(100px, auto);
	gap: 10px;
	grid-gap: var(gap); /* fallback */

	list-style: none;
	padding-left: 0;
	font-size: 13pt;
}

ul.projects a {
	display: grid;
	align-items: center;
	border: 1pt solid #ddd;
	height: 100%;

	text-align: center;
	text-transform: uppercase;
	font-weight: bold;
	text-shadow: 0 0 0.4em black;
	color: white;

	background-size: cover;
	background-position: center;
}

ul.screenshots {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
	grid-auto-rows: minmax(150px, auto);
	gap: 10px;

	list-style: none;
	padding-left: 0;
}

ul.screenshots a {
	display: grid;
	align-items: center;
	border: 1pt solid #ddd;
	height: 100%;

	background-size: cover;
	background-position: center;
}

#footer {
	max-width: 800px;
	margin: 0 auto;
	padding-top: 40px;
	padding-bottom: 20px;
	color: #93a1a1;
	text-align: center;
	font-size: small;
}
